libgphoto2 photo camera library (libgphoto2) API 2.4.11

- Main Page
- Related Pages
- Data Structures
- Files
- Directories

- Data Structures
- Data Fields

Data Fields
_Camera Struct Reference

## Data Fields

CameraPrivateLibrary * | pl
CameraPrivateCore * | pc
Those should be accessed only by the camera driver.
GPPort * | port
CameraFilesystem * | fs
CameraFunctions * | functions

## Field Documentation

CameraPrivateCore* _Camera::pc

Private data of the core of gphoto2.

Referenced by gp_camera_exit(), gp_camera_set_abilities(), gp_camera_get_abilities(), gp_camera_set_port_speed(), gp_camera_get_port_speed(), gp_camera_ref(), gp_camera_unref(), gp_camera_free(), gp_camera_init(), gp_camera_set_timeout_funcs(), gp_camera_start_timeout(), and gp_camera_stop_timeout().

CameraPrivateLibrary* _Camera::pl

Private data of camera libraries.

The documentation for this struct was generated from the following file:

- gphoto2/gphoto2-camera.h